summarylogtreecommitdiffstats
path: root/srcinfo-update
diff options
context:
space:
mode:
Diffstat (limited to 'srcinfo-update')
-rwxr-xr-xsrcinfo-update9
1 files changed, 9 insertions, 0 deletions
diff --git a/srcinfo-update b/srcinfo-update
new file mode 100755
index 000000000000..b99adca92db9
--- /dev/null
+++ b/srcinfo-update
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# A convenience script for the package creator.
+# This file is not run on package installation.
+
+pkgdir=${0%%/*} # dirname $0
+cd -P -- "$pkgdir" || exit 1 # Allow to be called from any directory
+
+makepkg --printsrcinfo >| .SRCINFO && echo "Updated .SRCINFO" >&2